#!/usr/bin/python
# $Id: clock_test.py,v 1.6 2005/09/24 12:17:04 oohara Exp $

import pygame
from pygame.locals import *

# return 1 (true) or 0 (false)
def clock_accurate():
    # jump to another 10 ms
    pygame.time.wait(10)
    tick_temp = 0
    tick_now = 0
    i = 0
    
    tick_temp = pygame.time.get_ticks()
    pygame.time.wait(1)
    tick_now = pygame.time.get_ticks()
    if (tick_now < tick_temp):
        return 0
    if (tick_now > tick_temp + 3):
        return 0

    tick_temp = pygame.time.get_ticks()
    for i in range(5):
        pygame.time.wait(1)
    tick_now = pygame.time.get_ticks()
    if (tick_now < tick_temp):
        return 0
    if (tick_now > tick_temp + 7):
        return 0

    tick_temp = pygame.time.get_ticks()
    for i in range(50):
        pygame.time.wait(1)
    tick_now = pygame.time.get_ticks()
    if (tick_now < tick_temp):
        return 0
    if (tick_now > tick_temp + 52):
        return 0

    return 1

if __name__ == "__main__":
    pygame.init()
    print clock_accurate()
